OGRE-Next: Ogre::Property< T > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Ogre::Property< T > Class Template Reference
Components » Property

Property instance with passthrough calls to a given object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::Property< T >:
[legend]

## Public Types
typedef boost::function< T(void) > | getter_func
typedef boost::function< void(T) > | setter_func
typedef T | value_type

## Public Member Functions
| Property (PropertyDef *def, getter_func getter, setter_func setter)
| Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.
virtual T | get () const
Ogre::Any | getValue () const
| Return the current value as an Any.
virtual void | set (T val)
| Set the property value.
Public Member Functions inherited from Ogre::PropertyBase
| PropertyBase (PropertyDef *def)
| Constructor.
virtual | ~PropertyBase ()
const String & | getDescription () const
| Get the description of the property.
const String & | getName () const
| Get the name of the property.
PropertyType | getType () const
| Get the type of the property.

## Detailed Description

template<typename T>
class Ogre::Property< T >

Property instance with passthrough calls to a given object.

## Member Typedef Documentation

## ◆ getter_func

template<typename T>

typedef boost::function< T (void) > Ogre::Property< T >::getter_func

## ◆ setter_func

template<typename T>

typedef boost::function< void (T) > Ogre::Property< T >::setter_func

## ◆ value_type

template<typename T>

typedef T Ogre::Property< T >::value_type

## Constructor & Destructor Documentation

## ◆ Property()

template<typename T>

Ogre::Property< T >::Property | ( | PropertyDef * | def,
|  | getter_func | getter,
|  | setter_func | setter )
| inline

Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.

References Ogre::PropertyBase::PropertyBase().

## Member Function Documentation

## ◆ get()

template<typename T>

virtual T Ogre::Property< T >::get | ( |  | ) | const
| inlinevirtual

Referenced by getValue().

## ◆ getValue()

template<typename T>

Ogre::Any Ogre::Property< T >::getValue | ( |  | ) | const
| inlinevirtual

Return the current value as an Any.

Implements Ogre::PropertyBase.

References get().

## ◆ set()

template<typename T>

virtual void Ogre::Property< T >::set | ( | T | val | ) |
| inlinevirtual

Set the property value.

The documentation for this class was generated from the following file:

- OgreProperty.h